Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.client
Class UiBinderUtil

    java.lang.Object
      com.google.gwt.uibinder.client.UiBinderUtil

    public class UiBinderUtil

extends java.lang.Object

Static helper methods used by UiBinder. These methods are likely to move, so please don't use them for non-UiBinder code.

Nested Class Summary
`static class` | `UiBinderUtil.TempAttachment` Temporary attachment record that keeps track of where an element was before attachment.

Method Summary
`static UiBinderUtil.TempAttachment` | `attachToDom(Element element)` Attaches the element to the dom temporarily.
`static Element` | `fromHtml(java.lang.String html)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### attachToDom

    public static UiBinderUtil.TempAttachment attachToDom(Element element)

  Attaches the element to the dom temporarily. Keeps track of where it is attached so that things can be put back latter.

  Returns:
    attachment record which can be used for reverting back to previous DOM state

### fromHtml

    public static Element fromHtml(java.lang.String html)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD